Subject: ImageMagick error
To: None <>
From: <>
List: tech-pkg
Date: 09/23/2004 16:55:51

I wondering if there is any hope of using ImageMagick with NetBSD 1.5.3 on
68k. I have not been able to get this to work. This is the error I get:

> /usr/libexec/ Undefined symbol "_BZ2_bzCompressEnd" in
> convert:/usr/local/lib/

But even updating to the lastest pkgsrc doesn't help. It is give a
"/usr/libexec/ Undefined symbol" error.

>From what I have been able to read NetBSD-amiga 1.5 uses a.out binaries
which have a different shared library handling especially not supporting
library dependencies, and NetBSD 1.6 uses ELF binaries. So a.out support
has probably not been tested as much. Am I on the right track? But if this
is true then why can't I build working binaries with an older pkgsrc.

Or is this problem because it is on a 68k system. I have read in post in
68k ports that ld doesn't work the way it should on 68k system, but all of
the posts where before 2000.

Also, I think that there have been some updates to 1.5 since I have
updated my src. Could something be broken my install of NetBSD? Is there a
way to check my source against the last updates to 1.5?

I really don't know where else to go with this. If I could I would install
the current version of everything, but it would mean to much down time.